ALTER VIEW()

NAME
ALTER VIEW - change the definition of a view

SYNOPSIS

ALTER VIEW name RENAME TO newname

DESCRIPTION

ALTER VIEW changes the definition of a view. The only currently available functionality is to rename the view. To execute this command you must be the owner of the view.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing view.

newname
    The new name of the view.

NOTES

Some variants of ALTER TABLE can be used with views as well; for example, to rename a view it is also possible to use ALTER TABLE RENAME. To change the schema or owner of a view, you currently must use ALTER TABLE.

EXAMPLES

To rename the view foo to bar:

ALTER VIEW foo RENAME TO bar;

COMPATIBILITY

ALTER VIEW is a PostgreSQL extension of the SQL standard.

SEE ALSO
CREATE VIEW [create_view(7)], DROP VIEW [drop_view(l)]